2024-06-15 12:17 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001830Katakis[All Projects] Generalpublic2021-03-25 00:01
ReporterMikael Arling 
Assigned ToCFOUProject InfoKatakis (Factor 5)
http://www.whdload.de/games/Katakis.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0001830: Katakis: The installer works fine, so no problems here. But the game quits with
DescriptionInstall: Katakis (Factor 5) http://whdload.de/games/Katakis.html
GameVersion: english,2 disks, (Don't know if it is a PAL or NTSC version)
SlaveVersion: 1.2 from 02.06.06

The installer works fine, so no problems here. But the game quits with a requester thats says: "Exception "Access Fault" ($7008). PC = $F9FB0A86. Word Read from $13FD5824 (Resload $7824)." This happens directly after I start the game in the game-menu (If I can call it that). Please note: At the moment my only "working Amiga" is WinUAE. Please also note: I AM using the ORIGINAL disks in form of IPF files. I can send you MY version of this game so you can see it for yourself.
TagsNo tags attached.
MachineA1200
CPU68060
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem64 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad16.9beta
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0000366

CFOU (developer)

ipf file image needed for test...

note ~0000724

CFOU (developer)

Last edited: 2009-04-25 21:10

confirmed on winuae with 060 configuration (not on 030 as my real amiga)

i think is stack problem (stack is to short and is overflowed on 060)

to fix

note ~0001260

Wepl (manager)

Katakis (4.6.2006):

The installer works fine, so no problems here. But the game quits with a requester thats says:

>> "Exception "Access Fault" ($7008).
       PC = $F9FB0A86.
       Word Read from $13FD5824 (Resload $7824)."

This happens directly after I start the game in the game-menu (If I can call it that).

Please note: At the moment my only “Working Amiga” is WinUAE due to an IDE-Fix Controller that suddenly stopped working, so I have no way of knowing if it works on a real Amiga 1200.

Please also note: I AM using ORIGINAL disks in form of IPF-files.

I am always using the latest version of both WinUAE and WHDLoad.

MY Amiga 1200 consists of:

Standart Amiga 1200 from 1993.
Blizzard 1260 with 64 MB of RAM (Not overclocked).
Elbox Mediator 1200LT4 (Drivers not installed anymore).
IDE-Fix Controller (Not working anymore).

Mikael Arling

Please note on your part of the WHDLoad Support Page that you got this version of this game from me.

note ~0001261

Wepl (manager)

@CFOU: I got images from Mikael, if you need them please let me know

note ~0001634

Mikael Arling (reporter)

The version I have reported is SPS 0347

note ~0002572

Wepl (manager)

@Mikael: can please try if the problem persists with the latest whdload beta http://whdload.de/whdload/whd171.lha

note ~0002573

Mikael Arling (reporter)

Done.

Now the game startup without problems.

The first time I run the game there is a picture of a disk with the rolling text: "Please Insert Katakis Data Disk In Drive 0" that would not go away no matter what key I pressed.

After a reboot, the loading part worked fine, but when I pushed the fire-button from the main-screen - to start the game - the game now quits with a requester that says:

>> Exception "Illegal Instruction" ($10)
   at $20CBA occured. <<

These two issues now seems to occur randomly.

And only Once it all worked fine.

note ~0009767

CFOU (developer)

normaly fixed with v2.0 (SMC)
+Notes

-Issue History
Date Modified Username Field Change
2009-04-10 01:19 administrator New Issue
2009-04-10 01:19 administrator Status new => assigned
2009-04-10 01:19 administrator Assigned To => CFOU
2009-04-10 01:19 administrator Machine => A1200
2009-04-10 01:19 administrator CPU => 68060
2009-04-10 01:19 administrator CPUSpeed => 50
2009-04-10 01:19 administrator ChipSet => AGA
2009-04-10 01:19 administrator GFXCard => None
2009-04-10 01:19 administrator ChipMem => 2 MB
2009-04-10 01:19 administrator FastMem => 64 MB
2009-04-10 01:19 administrator Workbench => OS 3.9
2009-04-10 01:19 administrator KickROM => 40 - Kick 3.1
2009-04-10 01:19 administrator KickSoft => None
2009-04-10 01:19 administrator WHDLoad => 16.9beta
2009-04-10 01:19 administrator imported => yes
2009-04-22 18:19 CFOU Note Added: 0000366
2009-04-22 18:19 CFOU Status assigned => feedback
2009-04-25 21:10 CFOU Note Added: 0000724
2009-04-25 21:10 CFOU Status feedback => confirmed
2009-04-25 21:10 CFOU Note Edited: 0000724
2009-06-22 23:25 Wepl Note Added: 0001260
2009-06-22 23:25 Wepl Note Added: 0001261
2010-01-16 15:57 Mikael Arling Note Added: 0001634
2012-01-08 18:52 Wepl Note Added: 0002572
2012-01-09 22:30 Mikael Arling Note Added: 0002573
2021-03-25 00:01 CFOU Status confirmed => closed
2021-03-25 00:01 CFOU Resolution open => fixed
2021-03-25 00:01 CFOU Note Added: 0009767
+Issue History